/*
 * hifimsg.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: hifimsg.h,v 1.5 2000/12/01 04:13:41 root Exp $
 *
 * $Log: hifimsg.h,v $
 * Revision 1.5  2000/12/01 04:13:41  root
 * #
 *
 * Revision 1.4  2000/11/23 23:45:16  root
 * #
 *
 * Revision 1.3  2000/02/21 04:01:01  root
 * #
 *
 * Revision 1.2  2000/02/20 18:22:59  root
 * #
 *
 * Revision 1.1  2000/02/20 14:07:12  root
 * #
 *
 *
 */

#ifndef __HIFIMSG_H_ /* include guard */
#define __HIFIMSG_H_

#ifdef PALM
#error libhifimsg does not (yet) compile for palmos
#endif

#define HIFIMSG_MAXLEN 8192

void *hifimsg_open(void);
int hifimsg_fd(void *_c);
int hifimsg_send(void *_c, void *buf, int len);
int hifimsg_recv(void *_c, void *buf, int len);
void hifimsg_close(void *_c);
char *hifi_getrecorddsp(void);
int hifi_getunit(char *name);
int hifi_getint(char *,int);
#endif /* __HIFIMSG_H_ */
